curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/documents/folders \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/documents/folders"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/documents/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"folders": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents",
"isDeleted": false
}
],
"files": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"versionId": "0f8fad5b-d9cb-469f-a165-70867728950e",
"folder": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c/documents/folders/2c1e8a0d-4b5f-4d2e-8a9b-7c6d5e4f3a2b"
},
"matter": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c"
},
"name": "court filing",
"fileExtension": ".pdf",
"ownerId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"to": "recipient@email.com",
"from": "sender@email.com",
"dateCreated": "2022-04-23T14:00:00Z",
"dateModified": "2022-04-25T17:00:00Z",
"sizeBytes": 19104768,
"downloadInfo": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c/documents/files/b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2/download"
},
"additionalData": {
"source": "Outlook",
"pageCount": 12,
"isSigned": true
},
"isFavorite": false,
"isUploaded": false,
"isCancelled": false,
"isDuplicate": false,
"isDeleted": false
}
]
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents",
"isDeleted": false
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get folders/files under root folder
Returns a list of sub folders and files under the root folder of a matter.
Folders are listed before files. Paging applies across the combined list: offset defaults to 0 and limit
defaults to the maximum page size (PagingOptions.MaxPageSize). Deleted folders and deleted files are excluded.
Path Parameters
Unique identifier of the matter.
Query Parameters
0 <= x <= 21474836471 <= x <= 500Response
When request is successful. Returns a paged collection of 'FolderListing' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique identifier of the parent folder
"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"
Name of the folder
"Property Documents"
Flag indicating whether the folder has been deleted. A deleted folder can be restored via PATCH with isDeleted: false.
false